ZenLib::ZtringList Class Reference

Vector of strings manipulation (based on std::vector<std::(w)string>). More...

`#include <ZtringList.h>`

Inheritance diagram for ZenLib::ZtringList:

## Public Member Functions

| ZtringList ()
| ZtringList (const ZtringList &Source)
| ZtringList (const Ztring &Source)
| ZtringList (const Char *Source)
bool | operator== (const ZtringList &Source) const
bool | operator!= (const ZtringList &Source) const
ZtringList & | operator+= (const ZtringList &Source)
ZtringList & | operator= (const ZtringList &Source)
Ztring & | operator() (size_type Pos)
| Same as [], but write a empty string if Pos doesn't exist yet.
Ztring | Read () const
const Ztring & | Read (size_type Pos) const
| Read all.
void | Write (const Ztring &ToWrite)
| Read a string.
void | Write (const Ztring &ToWrite, size_type Pos)
| Write all.
void | Insert (const Ztring &ToInsert, size_type Pos0)
| Insert a string at position Pos0.
void | Delete (size_type Pos0)
| Delete a string at position Pos0.
void | Swap (size_type Pos0_A, size_type Pos0_B)
| Swap 2 positions.
void | Sort (ztring_t Options=Ztring_Nothing)
| Sort.
size_type | Find (const Ztring &ToFind, size_type PosBegin=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| Find the position of the string in the vector.
size_type | MaxStringLength_Get ()
| Return the length of the longest string in the list.
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character.
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.
void | Max_Set (size_type Level, size_type Max_New)
| Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

## Protected Attributes

Ztring | Separator [1]
Ztring | Quote
size_type | Max [1]

## Detailed Description

Vector of strings manipulation (based on std::vector<std::(w)string>).

## Constructor & Destructor Documentation

## ZtringList() [1/4]

ZenLib::ZtringList::ZtringList | ( |  | ) |

Referenced by operator!=(), operator+=(), operator=(), operator==(), and ZtringList().

## ZtringList() [2/4]

ZenLib::ZtringList::ZtringList | ( | const ZtringList & | Source | ) |

References ZtringList().

## ZtringList() [3/4]

ZenLib::ZtringList::ZtringList | ( | const Ztring & | Source | ) |

## ZtringList() [4/4]

ZenLib::ZtringList::ZtringList | ( | const Char * | Source | ) |

## Member Function Documentation

## Delete()

void ZenLib::ZtringList::Delete | ( | size_type | Pos0 | ) |

inline

Delete a string at position Pos0.

## Find()

size_type ZenLib::ZtringList::Find | ( | const Ztring & | ToFind,
|  | size_type | PosBegin = 0,
|  | const Ztring & | Comparator = __T("=="),
|  | ztring_t | Options = Ztring_Nothing ) const

Find the position of the string in the vector.

References ZenLib::Ztring_Nothing.

## Insert()

void ZenLib::ZtringList::Insert | ( | const Ztring & | ToInsert,
|  | size_type | Pos0 )

inline

Insert a string at position Pos0.

Write a string

## Max_Set()

void ZenLib::ZtringList::Max_Set | ( | size_type | Level,
|  | size_type | Max_New )

Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

## MaxStringLength_Get()

size_type ZenLib::ZtringList::MaxStringLength_Get | ( |  | ) |

Return the length of the longest string in the list.

## operator!=()

bool ZenLib::ZtringList::operator!= | ( | const ZtringList & | Source | ) | const

References ZtringList().

## operator()()

Ztring & ZenLib::ZtringList::operator() | ( | size_type | Pos | ) |

Same as [], but write a empty string if Pos doesn't exist yet.

## operator+=()

ZtringList & ZenLib::ZtringList::operator+= | ( | const ZtringList & | Source | ) |

References ZtringList().

## operator=()

ZtringList & ZenLib::ZtringList::operator= | ( | const ZtringList & | Source | ) |

References ZtringList().

## operator==()

bool ZenLib::ZtringList::operator== | ( | const ZtringList & | Source | ) | const

References ZtringList().

## Quote_Set()

void ZenLib::ZtringList::Quote_Set | ( | const Ztring & | NewQuote | ) |

Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

## Read() [1/2]

Ztring ZenLib::ZtringList::Read | ( |  | ) | const

## Read() [2/2]

const Ztring & ZenLib::ZtringList::Read | ( | size_type | Pos | ) | const

Read all.

## Separator_Set()

void ZenLib::ZtringList::Separator_Set | ( | size_type | Level,
|  | const Ztring & | NewSeparator )

Set the Separator character.

## Sort()

void ZenLib::ZtringList::Sort | ( | ztring_t | Options = Ztring_Nothing | ) |

Sort.

References ZenLib::Ztring_Nothing.

## Swap()

void ZenLib::ZtringList::Swap | ( | size_type | Pos0_A,
|  | size_type | Pos0_B )

Swap 2 positions.

## Write() [1/2]

void ZenLib::ZtringList::Write | ( | const Ztring & | ToWrite | ) |

Read a string.

## Write() [2/2]

void ZenLib::ZtringList::Write | ( | const Ztring & | ToWrite,
|  | size_type | Pos )

Write all.

## Member Data Documentation

## Max

size_type ZenLib::ZtringList::Max[1]

protected

## Quote

Ztring ZenLib::ZtringList::Quote

protected

## Separator

Ztring ZenLib::ZtringList::Separator[1]

protected

The documentation for this class was generated from the following file:

- ZtringList.h